Skip to navigation

Delete

Deletes an MCP server by name or ID and removes it from every agent’s mcp_server_ids.

Authentication

AuthorizationBearer

Bearer authentication header of the form Bearer <PHONIC_API_KEY>. Manage your API keys here.

Path parameters

nameOrIdstringRequired
The name or the ID of the MCP server to delete.

Query parameters

projectstringOptionalDefaults to main

The name of the project containing the MCP server. Only used when nameOrId is a name.

Response

Success response
successboolean
Whether the MCP server was deleted successfully.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error